Bug#473057: vlc: CVE-2008-0073 code execution via crafted rtsp stream

Nico Golde nion at debian.org
Fri Mar 28 01:08:43 UTC 2008

Package: vlc
Severity: grave
Tags: security patch

the following CVE (Common Vulnerabilities & Exposures) id was
published for vlc.

| Array index error in the sdpplin_parse function in
| input/libreal/sdpplin.c in xine-lib allows remote RTSP
| servers to execute arbitrary code via a large streamid SDP parameter.

It turned out that vlc is also using that code in

Find a patch for the above issue on:

If you fix this vulnerability please also include the CVE id
in your changelog entry.

For further information:
[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-0073CVE-2008-0073

Kind regards

Nico Golde - http://www.ngolde.de - nion at jabber.ccc.de - GPG: 0x73647CFF
For security reasons, all text in this mail is double-rot13 encrypted.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://lists.alioth.debian.org/pipermail/pkg-multimedia-maintainers/attachments/20080328/23951a12/attachment.pgp 

More information about the pkg-multimedia-maintainers mailing list